plugins {
    java
    id("org.springframework.boot") version "3.1.9"
    id("io.spring.dependency-management") version "1.1.4"
}

group = "com.cht.tas"
version = "1.0"

repositories {
    mavenCentral()
}

//排除 spring 中的 logging 函式庫，方便改用 log4j2
configurations.configureEach {
    exclude(module = "spring-boot-starter-logging")
    exclude(group = "log4j", module = "log4j")
}

tasks.withType<JavaCompile> {
//JDK version 10+ can use 'release' flag
//    options.release.set(8)
    if (JavaVersion.current().isJava10Compatible) {
        options.release.set(17)
    } else {
        sourceCompatibility = "17"
        targetCompatibility = "17"
    }

    options.encoding = "UTF-8"
    options.compilerArgs = listOf(
        "-Xlint:deprecation",
        "-Xlint:unchecked"
    )
}

tasks.withType<Test> {
    useJUnitPlatform()
}

dependencies {
    testImplementation("org.springframework.boot:spring-boot-starter-test")

    implementation("org.springframework.boot:spring-boot-starter")
    implementation("org.springframework.boot:spring-boot-starter-log4j2")

    implementation("org.json:json:20240303")
    implementation("org.apache.commons:commons-lang3:3.14.0")
    implementation("com.squareup.okhttp3:okhttp:4.12.0")
    implementation("org.eclipse.paho:org.eclipse.paho.client.mqttv3:1.2.5")

    implementation("org.yaml:snakeyaml:2.2")
}
