package com.cht.tas.ap;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * Spring Boot 程式主要進入點
 * 這支應用程式設定每 5 分鐘會撥出電話給清單上的用戶，進行問券調查，用戶可以透過電話數字按鍵回應調查意見。
 * 若是已取得調查過果的用戶則不會再次撥出電話執行問券調查。
 * 若是配合 phoneConfig API 的設定，可以在用戶沒接到電話，回撥電話時，也可以進行問券調查的處理。
 */
@SpringBootApplication
@EnableScheduling
public class CalloutApplication {

    public static void main(String[] args) {
        SpringApplication.run(CalloutApplication.class, args);
    }

}
